package dao

import (
	_ "github.com/go-sql-driver/mysql"
	"github.com/jinzhu/gorm"
	"iot_manager_service/config"
	"net/url"
	"time"
)

var G_db *gorm.DB

type LcModel struct {
	CreatedAt time.Time
	UpdatedAt time.Time
	DeletedAt *time.Time `sql:"index"`
}

func InitDB() {
	cfg := config.Instance()
	dsn := cfg.Database.User + ":" + cfg.Database.Password + "@tcp(" + cfg.Database.Host + ":" + cfg.Database.Port + ")/" + cfg.Database.Name + "?charset=utf8&parseTime=True" + "&loc=" + url.QueryEscape(cfg.Database.Timezone)
	db0, err := gorm.Open("mysql", dsn)
	if err != nil {
		panic(err)
	} else {
		G_db = db0
		G_db.DB().SetMaxOpenConns(32)
		G_db.DB().SetMaxIdleConns(5)
		G_db.LogMode(false)
		G_db.AutoMigrate(&CameraDevice{})
	}
}
